//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HMS_Final
{
    using System;
    using System.Collections.Generic;
    
    public partial class outpaitent
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public outpaitent()
        {
            this.Discharges = new HashSet<Discharge>();
        }
    
        public int putpid { get; set; }
        public Nullable<int> pono { get; set; }
        public Nullable<int> labno { get; set; }
        public Nullable<System.DateTime> dateofadmit { get; set; }
        public Nullable<System.DateTime> dateofdiscarge { get; set; }
        public Nullable<int> medid { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Discharge> Discharges { get; set; }
        public virtual LabReport LabReport { get; set; }
        public virtual Medicine Medicine { get; set; }
        public virtual Patient Patient { get; set; }
    }
}
